# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes | List of all members
dirac::PicArray Class Reference

A class for picture component data. More...

`#include <common.h>`

Inheritance diagram for dirac::PicArray:
[legend]
Collaboration diagram for dirac::PicArray:
[legend]

## Public Member Functions
| PicArray ()
| Default constructor. More...
| PicArray (int height, int width, CompSort cs=Y_COMP)
| Constructor. More...
| ~PicArray ()
| Destructor. More...
const CompSort & | CSort () const
| Return which component is stored. More...
void | SetCSort (const CompSort cs)
| Set the type of component being stored. More...
Public Member Functions inherited from dirac::TwoDArray< ValueType >
| TwoDArray ()
| Default constructor. More...
| TwoDArray (const int height, const int width)
| Constructor. More...
| TwoDArray (const int height, const int width, ValueType val)
| Constructor. More...
| TwoDArray (const TwoDArray< ValueType > &Cpy)
| Copy constructor. More...
virtual | ~TwoDArray ()
| Destructor. More...
TwoDArray< ValueType > & | operator= (const TwoDArray< ValueType > &rhs)
| Assignment =. More...
bool | CopyContents (TwoDArray< ValueType > &out) const
| Copy Contents. More...
void | Fill (ValueType val)
| Fill contents. More...
void | Resize (const int height, const int width)
| Resizes the array, deleting the current data. More...
element_type & | operator[] (const int pos)
| Element access. More...
const element_type & | operator[] (const int pos) const
| Element access. More...
int | LengthX () const
| Returns the width. More...
int | LengthY () const
| Returns the height. More...
int | FirstX () const
| Returns the index of the first element of a row. More...
int | FirstY () const
| Returns the index of the first element of a column. More...
int | LastX () const
| Returns the index of the last element of a row. More...
int | LastY () const
| Returns the index of the first element of a column. More...

## Private Attributes
CompSort | m_csort

## Detailed Description

A class for encapsulating picture data, derived from TwoDArray.

## Constructor & Destructor Documentation

## ◆ PicArray() [1/2]

dirac::PicArray::PicArray | ( |  | ) |
| inline

Default constructor creates an empty array.

## ◆ PicArray() [2/2]

dirac::PicArray::PicArray | ( | int | height,
|  | int | width,
|  | CompSort | cs = `Y_COMP`
| ) |  |
| inline

Contructor creates a two-D array, with specified size and colour format.

## ◆ ~PicArray()

dirac::PicArray::~PicArray | ( |  | ) |
| inline

## Member Function Documentation

## ◆ CSort()

const CompSort & dirac::PicArray::CSort | ( |  | ) | const
| inline

References m_csort.

## ◆ SetCSort()

void dirac::PicArray::SetCSort | ( | const CompSort | cs | ) |
| inline

References m_csort.

## Member Data Documentation

## ◆ m_csort

CompSort dirac::PicArray::m_csort
| private

Referenced by CSort(), and SetCSort().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.